Page MenuHomePhabricator

Discuss and approve a MediaWiki developer community governance model
Closed, ResolvedPublic

Description

(Not sure if this is a dupe, can't find a current ticket :D)

At the MWDS in January 2015 Damon asked the archcom to work on a proposed governance model; we'd like to discuss and hopefully adopt some ideas in a plenary session perhaps.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
brion raised the priority of this task from to Needs Triage.Feb 18 2015, 11:23 PM
brion added a subscriber: brion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 11:23 PM
TTO added a subscriber: TTO.Feb 19 2015, 9:50 AM
Qgil added a subscriber: Qgil.

I find this proposal very interesting, but...

Such governance model should be discussed online well before the session, right? Not everybody will be present in Lyon, and even if that would be the case it is unrealistic to think that a proposal out of the blue could be discussed and agreed in one session.

It would be useful to identify contributors that should be part of this discussion in Lyon and are expecting to obtain travel approval / sponsorship.

We should also plan for Hangout streaming / remote participation, and a good timing (French afternoon).

Even if this topic is interesting, I'm not sure whether a plenary session is a good format for it. It can be a hardcore topic for a good % of the audience.

Oh yes we'll have discussion in public first too in the weeks leading up to the hackathon, I just needed a task for the session at the hackathon for reference. :)

Qgil triaged this task as Low priority.Feb 20 2015, 2:36 PM

The WMF Team-Practices team is going to be in town, and it would be good to put them in the loop so the way of working of WMF teams is fine tuned to whatever community governance model is designed.

daniel raised the priority of this task from Low to High.Mar 6 2015, 10:59 AM
daniel added a subscriber: daniel.
greg added a subscriber: greg.Mar 12 2015, 10:01 PM
Qgil added a comment.Mar 26 2015, 8:44 PM

Less than two months now for the beginning of the hackathon. Maybe we can fix the governance model in less than eight weeks, but I think we should start at least having a start date for the discussion / work here. @brion, do you have a plan in mind?

Tarrow added a subscriber: Tarrow.Mar 29 2015, 5:13 PM
Qgil added a comment.May 7 2015, 2:12 PM

As far as I know @brion is not flying to Lyon. Is there still a plan to run this session there?

daniel added a comment.May 7 2015, 2:34 PM

Yes, we (ArchCom) agreed yesterday that we want to have two sessions: this one for a broader audience, and one on a smaller scale for prioritizing concrete tasks for the next months.

I'm not sure about the title though. We should drop "approve", since we decided that we'll not decide anything while Robla is out. Also, "community governance model" is very abstract. I'd prefer to discuss the purpose, role and operation of the ArchCom.

GWicke added a subscriber: GWicke.EditedMay 7 2015, 3:54 PM

There is broad agreement within the architecture committee that we need to be more forward-looking and focused on the major architectural issues. We are currently discussing what those are at http://etherpad.wikimedia.org/p/ArchitectureCommittee-Priorities, and should have a curated list ready for the hackathon.

I think it makes sense to focus on the what at the hackathon, possibly by discussing one or two major topics. We can then discuss / solicit input on the structures best suited to achieve our architectural objectives separately in a smaller session, without making decisions until Robla is back.

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

daniel changed the task status from Open to Stalled.May 25 2015, 2:47 PM

This is currently stalled due to RobLa being out.

As a first step, we resolved to clarifying owners of the main areas, and marking them as such on the task descriptions in phabricator.

For the overall governance question, I think the Rust project's governance model is a good source of inspiration. It boils down to a core team focusing on driving the over-arching direction, priorities and coordination, and delegating more focused work to sub-teams.

I'd like to suggest that the MediaWiki-Stakeholders-Group be engaged in this effort. It seems like a logical relationship and the input from the group might prove useful.

As an additional note, we're putting together some analysis of MediaWiki usage including download metrics, feedback from community members regarding their use of MediaWiki, and other supporting information. We will be presenting our findings at the next Wikimania in Mexico City. T100217 is our tracking task and the working outline of our presentation can be found here: http://mwstake.org/mwstake/wiki/MediaWiki_Usage_Report_for_Wikimania_2015

If there's anything related to the effort around a governance model that we can ask MediaWiki users during our research, please let us know.

Qgil added a comment.EditedJun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward.

  • If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start.
  • If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project.
  • If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer).
  • Keeping the description, priority and assigned fields up to date always helps. :)

For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Qgil renamed this task from Discuss and approve a MediaWiki developer community governance model at Lyon hackathon to Discuss and approve a MediaWiki developer community governance model.Jun 27 2015, 2:40 PM
Qgil set Security to None.

The MediaWiki-Stakeholders-Group has posted some initial thoughts around a governance model for MediaWiki. We hope to continue this conversation at Wikimania this week.

I encourage anyone attending to stop by our session on Saturday at 2:15. We'll have some information to share as part of T100217, which is thematically related.

Addshore removed a subscriber: Addshore.Sep 7 2015, 10:55 AM
Aklapper changed the task status from Stalled to Open.Sep 28 2015, 1:14 PM
Aklapper added a subscriber: RobLa-WMF.

Is this something to discuss in a session at Wikimedia-Developer-Summit-2016 in Jan 2016?
If yes, who should lead this by driving the discussion and defining the scope in those upcoming three months?

This is currently stalled due to @RobLa-WMF being out.

Note the case anymore hence setting task status from Stalled to Open. (If there are other reasons why this task is stalled, feel free to elaborate and reset the task status.)

@Aklapper: you're right, we should have a session about this at Wikimedia-Developer-Summit-2016, and I'd be happy to orchestrate that.

ThurnerRupert rescinded a token.
ThurnerRupert added a subscriber: ThurnerRupert.EditedOct 1 2015, 9:29 AM

i wanted to award a token to GWickes statement "There is broad agreement within the architecture committee that we need to be more forward-looking and focused on the major architectural issues." ... but somehow i could not :)

Qgil added a comment.Oct 3 2015, 8:57 PM

Congratulations! This is one of the 52 proposals that made it through the first deadline of the Wikimedia-Developer-Summit-2016 selection process. Please pay attention to the next one: > By 6 Nov 2015, all Summit proposals must have active discussions and a Summit plan documented in the description. Proposals not reaching this critical mass can continue at their own path out of the Summit.

Qgil added a comment.Oct 28 2015, 11:11 AM

This task is still missing clear Summit goals, topics that could be discussed here before, and active discussion. It would be good to sort out these problems before the next deadline on November 6.

RobLa-WMF added a comment.EditedOct 28 2015, 6:55 PM

I have some thoughts which I'll try scribbling down beforehand, but I may not have a chance to get them organized. (Edit: by "beforehand", I mean: before the November 6 deadline)

My big picture goal is to establish a framework that anyone can demonstrate technical leadership in the Wikimedia community, and that no one should be waiting for "management" to give them approval to do it. We should value clear, effective, and respectful conversation, and strive to operate in a consensus-oriented manner. "Consensus" is a loaded word; we need to make sure that it doesn't become (or continue to be) a mechanism whereby the loudest, pushiest people can exercise an arbitrary veto by declaring a "lack of consensus" around a proposal they personal veto.

I like the longstanding IETF motto of "rough consensus and running code". I think that the current TechCom can be trusted as a jury to gauge consensus. Our process for adding/removing people from ArchCom could probably be better.

More thoughts later....

Since this is titled "MediaWiki developer community" instead of the "Wikimedia developer community", I wonder if a developer whose software is considered almost essential for third-party setups (but isn't used at all in the WMF) would be considered a leader in the community we're talking about here. I'm thinking, in particular of Yaron Koren whose work on Cargo, SemanticForms, ApprovedRevs, etc is used on a very sizable percentage of non-WMF wikis.

Qgil added a comment.Nov 2 2015, 7:54 AM

I also have been wondering about the scope of this governance, and whether it would include all the stakeholders interested in MediaWiki development or (for now?) only the Wikimedia context.

Another question about scope is whether this governance model aims to be strictly technical (architectural decisions, technical roadmap), or whether other aspects like MediaWiki promotion/adoption and fundraising/funding of software projects would be included as well.

For instance, is the MediaWiki Foundation RfC within scope here?

ZaBien added a subscriber: ZaBien.Nov 5 2015, 8:58 PM
Qgil added a comment.Nov 6 2015, 10:49 AM

Today is November 6, and this proposal is basically not on track. Unless the situation suddenly changes and/or @RobLa-WMF and the Architecture Committee really want to schedule it, it will be removed as a Wikimedia-Developer-Summit-2016 proposal.

Since it looks like @RobLa-WMF isn't able to do this, can we, the MediaWiki-Stakeholders-Group, take over this for the developer conference? @cicalese has been running into problems with code review and it would be something we're very interested in.

Qgil added a comment.Nov 10 2015, 4:09 PM

(About problems with code review, see this other Summit proposal: T114419: Event on "Make code review not suck")

My apologies for not speaking to this sooner. I have this on my list of stuff to comment on further, and I hope to say more soon.

I think we're not realistically going to "approve" something, but based on this meeting taxonomy, I believe we can and should at least have what I've dubbed a "problem solving" meeting. I think it's possible that we might be able to have a "Field narrowing" conversation, but I doubt we can get any more ambitious than that.

@MarkAHershberger, is there any particular clearly-articulated option you would like to see on a multiple choice test to answer the question "what should MediaWiki's governance model be?"

@RobLa-WMF I looked at this earlier when I wrote this blog post: http://mwstake.org/mwstake/wiki/Blog_Post:18 I haven't thought about it too much until @Qgil pointed me to this task.

Looking at the taxonomy you pointed to, I agree that having a problem solving meeting would be best.

@Qgil The problem @cicalese is dealing with isn't so much a "code review sucks" problem (though that is involved) but also a governance model for developing MW and how technical decisions are made. See T115331: page_props needs an internal API for more information.

My biggest problem and a huge time waster is lack of documentation, or the unconnectedness of documentation, or missing ways to find it, if it exists at all.

Qgil added a comment.Nov 27 2015, 8:34 AM

@Purodha, as much as the quality of our documentation is a problem indeed, it is not related with governance.

@RobLa-WMF, it is time to decide whether this proposal should be pushed for the Summit or not. I thought it was a clear case, it is a long overdue conversation. However, the ArchCom members seem to agree on the opposite... IMHO the worst combination would be to push this session because it sounds right, but then we end up having another rather spontaneous session without much prior discussion and without clear steps moving forward.

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!